diff --git a/src/main/java/net/minecraft/core/block/BrazierBlock.java b/src/main/java/net/minecraft/core/block/BlockBrazier.java
similarity index 77%
rename from src/main/java/net/minecraft/core/block/BrazierBlock.java
rename to src/main/java/net/minecraft/core/block/BlockBrazier.java
index ffa7a1a0c..b33eed6d2 100644
--- a/src/main/java/net/minecraft/core/block/BrazierBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockBrazier.java
@@ -1,11 +1,11 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
-import net.minecraft.core.item.FireStrikerItem;
+import net.minecraft.core.item.ItemFireStriker;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Direction;
@@ -14,11 +14,11 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class BrazierBlock
+public class BlockBrazier
     extends Block {
     private final boolean burning;
 
-    public BrazierBlock(String key, String namespaceId, int id, boolean burning) {
+    public BlockBrazier(String key, String namespaceId, int id, boolean burning) {
         super(key, namespaceId, id, Material.metal);
         this.burning = burning;
     }
@@ -38,18 +38,18 @@ public class BrazierBlock
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         return new ItemStack[] { new ItemStack(Blocks.BRAZIER_INACTIVE, 1) };
     }
 
     @Override
     public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced) {
         ItemStack heldItem = player.getHeldItem();
-        if (heldItem != null && heldItem.getItem() instanceof FireStrikerItem && !burning) {
-            if (world.getBlock(x + 1, y, z) instanceof FluidBlock ||
-                world.getBlock(x - 1, y, z) instanceof FluidBlock ||
-                world.getBlock(x, y, z + 1) instanceof FluidBlock ||
-                world.getBlock(x, y, z - 1) instanceof FluidBlock) {
+        if (heldItem != null && heldItem.getItem() instanceof ItemFireStriker && !burning) {
+            if (world.getBlock(x + 1, y, z) instanceof BlockFluid ||
+                world.getBlock(x - 1, y, z) instanceof BlockFluid ||
+                world.getBlock(x, y, z + 1) instanceof BlockFluid ||
+                world.getBlock(x, y, z - 1) instanceof BlockFluid) {
                 return false;
             }
             world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_ACTIVE.id, 0);
@@ -66,7 +66,7 @@ public class BrazierBlock
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
         if (burning) {
             world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_INACTIVE.id, 0);
         }
@@ -83,7 +83,7 @@ public class BrazierBlock
     public void onNeighborBlockChange(World world, int x, int y, int z, int blockId) {
         if (!burning) return;
         Block block = Block.blocksList[blockId];
-        if (block instanceof FluidBlock) {
+        if (block instanceof BlockFluid) {
             world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_INACTIVE.id, 0);
         }
     }
diff --git a/src/main/java/net/minecraft/core/block/ButtonBlock.java b/src/main/java/net/minecraft/core/block/BlockButton.java
similarity index 98%
rename from src/main/java/net/minecraft/core/block/ButtonBlock.java
rename to src/main/java/net/minecraft/core/block/BlockButton.java
index e4a3b4cb7..0f80e44bd 100644
--- a/src/main/java/net/minecraft/core/block/ButtonBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockButton.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
@@ -22,7 +22,7 @@ import java.util.Random;
 //            Block, Material, World, IBlockAccess, 
 //            AxisAlignedBB, Player
 
-public class ButtonBlock extends Block
+public class BlockButton extends Block
 {
     public static final int MASK_POWERED = 0b0000_1000;
     public static final int MASK_DIRECTION = 0b0000_0111;
@@ -33,7 +33,7 @@ public class ButtonBlock extends Block
     public static final int SIDE_TOP = 5;
     public static final int SIDE_BOTTOM = 6;
 
-	public ButtonBlock(String key, String namespaceId, int id)
+	public BlockButton(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.decoration);
         setTicking(true);
@@ -327,7 +327,7 @@ public class ButtonBlock extends Block
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
         press(world, x, y, z, null);
     }
 
diff --git a/src/main/java/net/minecraft/core/block/CactusBlock.java b/src/main/java/net/minecraft/core/block/BlockCactus.java
similarity index 96%
rename from src/main/java/net/minecraft/core/block/CactusBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCactus.java
index 5a8134634..2f882f821 100644
--- a/src/main/java/net/minecraft/core/block/CactusBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCactus.java
@@ -23,10 +23,10 @@ import java.util.Random;
 //            Block, Material, World, AxisAlignedBB, 
 //            Entity
 
-public class CactusBlock extends Block implements IBonemealable
+public class BlockCactus extends Block implements IBonemealable
 {
 
-	public CactusBlock(String key, String namespaceId, int id)
+	public BlockCactus(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.cactus);
         setTicking(true);
@@ -154,7 +154,7 @@ public class CactusBlock extends Block implements IBonemealable
     public boolean onBonemealUsed(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
         if(!world.isClientSide)
         {
-            ((CactusBlock)Block.blocksList[id]).growCactusOnTop(world, blockX, blockY, blockZ);
+            ((BlockCactus)Block.blocksList[id]).growCactusOnTop(world, blockX, blockY, blockZ);
             if (player == null || player.getGamemode().consumeBlocks())
             {
                 itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/CakeBlock.java b/src/main/java/net/minecraft/core/block/BlockCake.java
similarity index 92%
rename from src/main/java/net/minecraft/core/block/CakeBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCake.java
index d0ac974af..40571d730 100644
--- a/src/main/java/net/minecraft/core/block/CakeBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCake.java
@@ -4,10 +4,10 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 
-public class CakeBlock extends EdibleBlock
+public class BlockCake extends BlockEdible
 {
 
-	public CakeBlock(String key, String namespaceId, int id)
+	public BlockCake(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, 6, 3, () -> Items.FOOD_CAKE);
     }
diff --git a/src/main/java/net/minecraft/core/block/CandleBlock.java b/src/main/java/net/minecraft/core/block/BlockCandle.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/CandleBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCandle.java
index 9d4cb53a1..0d94b5329 100644
--- a/src/main/java/net/minecraft/core/block/CandleBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCandle.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.block.material.Material;
@@ -10,9 +10,9 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-public class CandleBlock extends Block
+public class BlockCandle extends Block
 {
-    public CandleBlock(String key, String namespaceId, int id, Material material)
+    public BlockCandle(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
         setTicking(true);
@@ -61,7 +61,7 @@ public class CandleBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { null };//new ItemStack(Item.candleSoulwax) };
     }
diff --git a/src/main/java/net/minecraft/core/block/ChestBlock.java b/src/main/java/net/minecraft/core/block/BlockChest.java
similarity index 96%
rename from src/main/java/net/minecraft/core/block/ChestBlock.java
rename to src/main/java/net/minecraft/core/block/BlockChest.java
index da168c4c0..e8fa4260b 100644
--- a/src/main/java/net/minecraft/core/block/ChestBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockChest.java
@@ -1,13 +1,13 @@
 package net.minecraft.core.block;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.ChestBlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntityChest;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.player.inventory.container.Container;
-import net.minecraft.core.player.inventory.container.CompoundContainer;
+import net.minecraft.core.player.inventory.container.ContainerCompound;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
@@ -15,9 +15,9 @@ import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
-public class ChestBlock extends EntityBlock implements IPaintable {
+public class BlockChest extends BlockTileEntity implements IPaintable {
 	private static final Logger LOGGER = LogUtils.getLogger();
-	public ChestBlock(String key, String namespaceId, int id, Material material) {
+	public BlockChest(String key, String namespaceId, int id, Material material) {
 		super(key, namespaceId, id, material);
 	}
 	
@@ -270,7 +270,7 @@ public class ChestBlock extends EntityBlock implements IPaintable {
 	}
 
 	public static boolean isChest(World world, int x, int y, int z) {
-		return Block.blocksList[world.getBlockId(x, y, z)] instanceof ChestBlock;
+		return Block.blocksList[world.getBlockId(x, y, z)] instanceof BlockChest;
 	}
 	
 	public static boolean isSingleChest(World world, int x, int y, int z) {
@@ -283,8 +283,8 @@ public class ChestBlock extends EntityBlock implements IPaintable {
 	}
 	
 	@Override
-	protected BlockEntity getNewBlockEntity() {
-		return new ChestBlockEntity();
+	protected TileEntity getNewBlockEntity() {
+		return new TileEntityChest();
 	}
 	
 	public void setDirection(World world, int x, int y, int z, Direction direction) {
@@ -362,7 +362,7 @@ public class ChestBlock extends EntityBlock implements IPaintable {
 				}
 			}
 			if(inv2 != null) {
-				inventory = new CompoundContainer("Large Chest", inventory, inv2);
+				inventory = new ContainerCompound("Large Chest", inventory, inv2);
 			}
 		}
 		
diff --git a/src/main/java/net/minecraft/core/block/LegacyChestBlock.java b/src/main/java/net/minecraft/core/block/BlockChestLegacy.java
similarity index 87%
rename from src/main/java/net/minecraft/core/block/LegacyChestBlock.java
rename to src/main/java/net/minecraft/core/block/BlockChestLegacy.java
index da4701aed..e836d3f1f 100644
--- a/src/main/java/net/minecraft/core/block/LegacyChestBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockChestLegacy.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.Global;
-import net.minecraft.core.block.ChestBlock.Type;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.ChestBlockEntity;
+import net.minecraft.core.block.BlockChest.Type;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntityChest;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -13,14 +13,14 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
 @Deprecated
-public class LegacyChestBlock extends EntityBlock {
+public class BlockChestLegacy extends BlockTileEntity {
 	
-	public LegacyChestBlock(String key, String namespaceId, int id) {
+	public BlockChestLegacy(String key, String namespaceId, int id) {
 		super(key, namespaceId, id, Material.wood);
 	}
 	
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
 		if (dropCause != EnumDropCause.IMPROPER_TOOL)
 		{
 			return new ItemStack[] { new ItemStack(Blocks.CHEST_PLANKS_OAK) };
@@ -29,8 +29,8 @@ public class LegacyChestBlock extends EntityBlock {
 	}
 
 	@Override
-	protected BlockEntity getNewBlockEntity() {
-		return new ChestBlockEntity();
+	protected TileEntity getNewBlockEntity() {
+		return new TileEntityChest();
 	}
 	
 	public static boolean isLegacyChest(World world, int x, int y, int z) {
@@ -40,7 +40,7 @@ public class LegacyChestBlock extends EntityBlock {
 	
 	@Override
 	public void onBlockRemoved(World world, int x, int y, int z, int data) {
-		BlockEntity entity = world.getBlockEntity(x, y, z);
+		TileEntity entity = world.getBlockEntity(x, y, z);
 		if (entity != null) {
 			entity.dropContents(world, x, y, z);
 		}
@@ -92,8 +92,8 @@ public class LegacyChestBlock extends EntityBlock {
 				facingDirection = Direction.SOUTH;
 			}
 			
-			meta = ChestBlock.getMetaWithDirection(meta, facingDirection);
-			meta = ChestBlock.getMetaWithType(meta, Type.SINGLE);
+			meta = BlockChest.getMetaWithDirection(meta, facingDirection);
+			meta = BlockChest.getMetaWithType(meta, Type.SINGLE);
 			
 			ItemStack[] items = getAndClearChestInventory(world, x, y, z);
 			
@@ -155,11 +155,11 @@ public class LegacyChestBlock extends EntityBlock {
 			if(type == Type.LEFT) otherType = Type.RIGHT;
 			if(type == Type.RIGHT) otherType = Type.LEFT;
 			
-			meta = ChestBlock.getMetaWithDirection(meta, facingDirection);
-			meta = ChestBlock.getMetaWithType(meta, type);
+			meta = BlockChest.getMetaWithDirection(meta, facingDirection);
+			meta = BlockChest.getMetaWithType(meta, type);
 			
-			otherMeta = ChestBlock.getMetaWithDirection(otherMeta, facingDirection);
-			otherMeta = ChestBlock.getMetaWithType(otherMeta, otherType);
+			otherMeta = BlockChest.getMetaWithDirection(otherMeta, facingDirection);
+			otherMeta = BlockChest.getMetaWithType(otherMeta, otherType);
 			
 			ItemStack[] items1 = getAndClearChestInventory(world, x, y, z);
 			ItemStack[] items2 = getAndClearChestInventory(world, otherChestX, y, otherChestZ);
@@ -178,7 +178,7 @@ public class LegacyChestBlock extends EntityBlock {
 	}
 	
 	private ItemStack[] getAndClearChestInventory(World world, int x, int y, int z) {
-		ChestBlockEntity tileEntityChest = (ChestBlockEntity) world.getBlockEntity(x, y, z);
+		TileEntityChest tileEntityChest = (TileEntityChest) world.getBlockEntity(x, y, z);
 		
 		ItemStack[] items = new ItemStack[tileEntityChest.getContainerSize()];
 		
@@ -191,7 +191,7 @@ public class LegacyChestBlock extends EntityBlock {
 	}
 	
 	private void setChestInventory(World world, int x, int y, int z, ItemStack[] items) {
-		ChestBlockEntity tileEntityChest = (ChestBlockEntity) world.getBlockEntity(x, y, z);
+		TileEntityChest tileEntityChest = (TileEntityChest) world.getBlockEntity(x, y, z);
 		
 		for(int i=0; i < items.length; i++) {
 			tileEntityChest.setItem(i, items[i]);
diff --git a/src/main/java/net/minecraft/core/block/ChestBlockPainted.java b/src/main/java/net/minecraft/core/block/BlockChestPainted.java
similarity index 88%
rename from src/main/java/net/minecraft/core/block/ChestBlockPainted.java
rename to src/main/java/net/minecraft/core/block/BlockChestPainted.java
index d7453247e..af52439bc 100644
--- a/src/main/java/net/minecraft/core/block/ChestBlockPainted.java
+++ b/src/main/java/net/minecraft/core/block/BlockChestPainted.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -10,9 +10,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class ChestBlockPainted extends ChestBlock implements IPainted {
+public class BlockChestPainted extends BlockChest implements IPainted {
 
-	protected ChestBlockPainted(String key, String namespaceId, int id, Material material) {
+	protected BlockChestPainted(String key, String namespaceId, int id, Material material) {
 		super(key, namespaceId, id, material);
 	}
 	
@@ -22,7 +22,7 @@ public class ChestBlockPainted extends ChestBlock implements IPainted {
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
 	{
 		return new ItemStack[] { new ItemStack(this, 1, meta & colorBits) };
 	}
diff --git a/src/main/java/net/minecraft/core/block/ClayBlock.java b/src/main/java/net/minecraft/core/block/BlockClay.java
similarity index 75%
rename from src/main/java/net/minecraft/core/block/ClayBlock.java
rename to src/main/java/net/minecraft/core/block/BlockClay.java
index b5bab4aae..20a1cb742 100644
--- a/src/main/java/net/minecraft/core/block/ClayBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockClay.java
@@ -1,27 +1,24 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-import java.util.HashMap;
-import java.util.Map;
-
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, Item
 
-public class ClayBlock extends Block
+public class BlockClay extends Block
 {
-    public ClayBlock(String key, String namespaceId, int id)
+    public BlockClay(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.clay);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/CobbleBlock.java b/src/main/java/net/minecraft/core/block/BlockCobble.java
similarity index 73%
rename from src/main/java/net/minecraft/core/block/CobbleBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCobble.java
index a2c65846e..1120b9f60 100644
--- a/src/main/java/net/minecraft/core/block/CobbleBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCobble.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IItemConvertible;
@@ -9,18 +9,18 @@ import net.minecraft.core.world.World;
 
 import java.util.function.Supplier;
 
-public class CobbleBlock extends Block{
+public class BlockCobble extends Block{
     private final Supplier<IItemConvertible> crushDrop;
-    public CobbleBlock(String translationKey, String namespaceId, int id, Material material, Supplier<IItemConvertible> crushResult) {
+    public BlockCobble(String translationKey, String namespaceId, int id, Material material, Supplier<IItemConvertible> crushResult) {
         super(translationKey, namespaceId, id, material);
         this.crushDrop = crushResult;
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         if (crushDrop != null && dropCause == EnumDropCause.PISTON_CRUSH) {
             return new ItemStack[] {new ItemStack(crushDrop.get())};
         }
-        return super.getBreakResult(world, dropCause, meta, blockEntity);
+        return super.getBreakResult(world, dropCause, meta, tileEntity);
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/CobwebBlock.java b/src/main/java/net/minecraft/core/block/BlockCobweb.java
similarity index 88%
rename from src/main/java/net/minecraft/core/block/CobwebBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCobweb.java
index cebcc4c84..9f1753adf 100644
--- a/src/main/java/net/minecraft/core/block/CobwebBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCobweb.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
@@ -14,10 +14,10 @@ import net.minecraft.core.world.WorldSource;
 //            Block, Material, Entity, Item, 
 //            World, AxisAlignedBB
 
-public class CobwebBlock extends Block
+public class BlockCobweb extends Block
 {
 
-    public CobwebBlock(String key, String namespaceId, int id, Material mat)
+    public BlockCobweb(String key, String namespaceId, int id, Material mat)
     {
         super(key, namespaceId, id, mat);
     }
@@ -30,7 +30,7 @@ public class CobwebBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/CropsPumpkinBlock.java b/src/main/java/net/minecraft/core/block/BlockCropsPumpkin.java
similarity index 93%
rename from src/main/java/net/minecraft/core/block/CropsPumpkinBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCropsPumpkin.java
index 512446800..573f74fbe 100644
--- a/src/main/java/net/minecraft/core/block/CropsPumpkinBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCropsPumpkin.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IBonemealable;
@@ -14,9 +14,9 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-public class CropsPumpkinBlock
-    extends FlowerBlock implements IBonemealable {
-    public CropsPumpkinBlock(String key, String namespaceId, int id) {
+public class BlockCropsPumpkin
+    extends BlockFlower implements IBonemealable {
+    public BlockCropsPumpkin(String key, String namespaceId, int id) {
         super(key, namespaceId, id);
     }
 
@@ -99,7 +99,7 @@ public class CropsPumpkinBlock
 
         }
 
-        boolean isFertilized = FarmlandBlock.isFertilized(world.getBlockMetadata(x, y - 1, z));
+        boolean isFertilized = BlockFarmland.isFertilized(world.getBlockMetadata(x, y - 1, z));
         if (!isFertilized) {
             if (world.getSeasonManager().getCurrentSeason() != null)
             {
@@ -112,7 +112,7 @@ public class CropsPumpkinBlock
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         return new ItemStack[] { new ItemStack(Items.SEEDS_PUMPKIN, 1)};
     }
 
@@ -131,7 +131,7 @@ public class CropsPumpkinBlock
         {
             if (!world.isClientSide)
             {
-                ((CropsPumpkinBlock)Blocks.CROPS_PUMPKIN).fertilize(world, blockX, blockY, blockZ);
+                ((BlockCropsPumpkin)Blocks.CROPS_PUMPKIN).fertilize(world, blockX, blockY, blockZ);
                 if (player == null || player.getGamemode().consumeBlocks())
                 {
                     itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/CropsWheatBlock.java b/src/main/java/net/minecraft/core/block/BlockCropsWheat.java
similarity index 89%
rename from src/main/java/net/minecraft/core/block/CropsWheatBlock.java
rename to src/main/java/net/minecraft/core/block/BlockCropsWheat.java
index ee1167de8..f0672224f 100644
--- a/src/main/java/net/minecraft/core/block/CropsWheatBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockCropsWheat.java
@@ -2,7 +2,7 @@ package net.minecraft.core.block;
 
 import java.util.Random;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IBonemealable;
@@ -13,11 +13,11 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class CropsWheatBlock extends FlowerBlock implements IBonemealable
+public class BlockCropsWheat extends BlockFlower implements IBonemealable
 {
     public static final int MASK_GROWTH = 0b0000_0111;
     public static final int MAX_GROWTH_STATE = 7;
-	public CropsWheatBlock(String key, String namespaceId, int id)
+	public BlockCropsWheat(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
         setTicking(true);
@@ -96,7 +96,7 @@ public class CropsWheatBlock extends FlowerBlock implements IBonemealable
             growthRate /= 2.0F;
         }
 
-        boolean isFertilized = FarmlandBlock.isFertilized(world.getBlockMetadata(x, y - 1, z));
+        boolean isFertilized = BlockFarmland.isFertilized(world.getBlockMetadata(x, y - 1, z));
         if (!isFertilized) {
             if (world.getSeasonManager().getCurrentSeason() != null)
             {
@@ -110,17 +110,17 @@ public class CropsWheatBlock extends FlowerBlock implements IBonemealable
 
     @Override
     public void onBlockDestroyedByPlayer(World world, int x, int y, int z, Side side, int meta, Player player, Item item) {
-        boolean isFertilized = FarmlandBlock.isFertilized(world.getBlockMetadata(x, y - 1, z));
+        boolean isFertilized = BlockFarmland.isFertilized(world.getBlockMetadata(x, y - 1, z));
         if (isFertilized && !world.isClientSide) {
             boolean shouldDefertilize = world.rand.nextInt(3) == 2;
             if (shouldDefertilize) {
-                world.setBlockMetadata(x, y - 1, z, FarmlandBlock.setFertilized(world.getBlockMetadata(x, y - 1, z), false));
+                world.setBlockMetadata(x, y - 1, z, BlockFarmland.setFertilized(world.getBlockMetadata(x, y - 1, z), false));
             }
         }
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         if (meta != MAX_GROWTH_STATE)
         {
@@ -138,7 +138,7 @@ public class CropsWheatBlock extends FlowerBlock implements IBonemealable
         {
             if(!world.isClientSide)
             {
-                ((CropsWheatBlock)Blocks.CROPS_WHEAT).fertilize(world, blockX, blockY, blockZ);
+                ((BlockCropsWheat)Blocks.CROPS_WHEAT).fertilize(world, blockX, blockY, blockZ);
                 if (player == null || player.getGamemode().consumeBlocks())
                 {
                     itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/DeadBushBlock.java b/src/main/java/net/minecraft/core/block/BlockDeadBush.java
similarity index 80%
rename from src/main/java/net/minecraft/core/block/DeadBushBlock.java
rename to src/main/java/net/minecraft/core/block/BlockDeadBush.java
index 24bdc04c0..c070c8ba3 100644
--- a/src/main/java/net/minecraft/core/block/DeadBushBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockDeadBush.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            FlowerBlock, Block
+//            BlockFlower, Block
 
-public class DeadBushBlock extends FlowerBlock
+public class BlockDeadBush extends BlockFlower
 {
 
-	public DeadBushBlock(String key, String namespaceId, int id)
+	public BlockDeadBush(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
         float f = 0.4F;
@@ -26,7 +26,7 @@ public class DeadBushBlock extends FlowerBlock
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         int quantity = world.rand.nextInt(3);
 
